/* (C) 2002 Andrew J. Kroll */
/* see file README for license details */
/* cpm3aux.h */
#ifndef CPM3AUX_H_SEEN
#define CPM3AUX_H_SEEN
#if USECPM3AUX /* Include this code? */
#include "config.h"
extern void zapbuffers(void);
extern void pollinput(void);
extern int checkdata(void);
extern int check_out(void);
extern void outtodev(unsigned char c);
extern unsigned char infromdev(void);
extern void initializedev(void);
extern char HARDDRV[];
/* For polled network stuffs, define IOPOLL to your polling routine */
/* as it will be sprinkled thruout the code. */
/* The main use is in heavy loops so no chars get dropped */
/* see useage example in all the other code. */
#define INITHARDWARE initializedev();
#define IOPOLL pollinput(); polloutput();
#define CHECKOUT check_out()
#define CHECKIN checkdata()
#define GETDATA infromdev()
#define PUTDATA(x) outtodev(x)
#endif /* USECPM3AUX */

#endif /* CPM3AUX_H_SEEN */
