/* (C) 2001-2002 Andrew J. Kroll */
/* see file README for license details */
/* compat.h various patches/workarrounds for OS's */
#ifndef COMPAT_H_SEEN
#define COMPAT_H_SEEN

extern void AJKNETusage(char *, char *, char *, char *, char *);
extern int fixgetch(void);
extern int fixkbhit(void);

extern void inc32word(unsigned char *);
extern void dec32word(unsigned char *);
extern void inc16word(unsigned char *);
extern void sav32word(unsigned char *, unsigned long);
extern void sav16word(unsigned char *, unsigned long);
extern void snag32(unsigned char *, unsigned char *);
extern void snag16(unsigned char *, unsigned char *);
extern int compare32word(unsigned long, char, unsigned long);
extern unsigned long add32word(unsigned long, unsigned long);
extern unsigned long sub32word(unsigned long, unsigned long);
extern unsigned long ret32word(unsigned char *);
extern unsigned short ret16word(unsigned char *);

#define CMPGT 0x01
#define CMPLT 0x02
#define CMPEQU 0x03
#define CMPNEQ 0x04
#define CMPLEQ 0x05
#define CMPGEQ 0x06

#endif /* COMPAT_H_SEEN */
