/* (C) 2001-2002 Andrew J. Kroll */
/* see file README for license details */
#ifndef TCPX_H_SEEN
#define TCPX_H_SEEN

extern void checkoptions(unsigned char *, int, int, int);
extern void bufferdatamove(unsigned char *, unsigned int, unsigned int);
extern void tcpsumming(unsigned char *);
extern int fasttcppack(int, int, int, int, unsigned char *, unsigned int);

#ifdef DOITHERE
extern int tcp_rst(int);
extern int tcp_synandack(int);
extern int tcp_acksyn(int);
extern int tcp_syn(int);
extern int tcp_psh(int, int, unsigned char *);
#else DOITHERE
#define tcp_rst(x) fasttcppack(x, RST,STATE_CLOSED, 0, (unsigned char *)NULL, 0);
#define tcp_synandack(x) fasttcppack(x, SYN | ACK ,STATE_SYN_RECEIVED ,0 ,(unsigned char *)NULL, 0);
#define tcp_acksyn(x) fasttcppack(x, ACK, STATE_ESTABLISHED, 0, (unsigned char *)NULL, SENDNOCARE);
#define tcp_syn(x) fasttcppack(x, SYN,STATE_SYN_SENT, 0, (unsigned char *)NULL, 0);
#define tcp_psh(x) fasttcppack(x, PSH, STATE_ESTABLISHED, len, ptr, SENDNOCARE);
#endif DOITHERE

extern int tcp_open(int, unsigned int, unsigned char *);
extern int matchsocket(unsigned char *);
extern int checkack(unsigned char *, unsigned char *);

extern unsigned int tcpcreateip(unsigned char *, unsigned char *);
extern unsigned int createtcp(unsigned char *, unsigned char *, int, unsigned char *);


#define STANDARDHEADER 24
#endif /* TCPX_H_SEEN */
