/* (C) 2001-2002 Andrew J. Kroll */
/* see file README for license details */
/* z80dart.h */
#ifndef Z80DART_H_SEEN
#define Z80DART_H_SEEN
#include "config.h"
#include "ioconfig.h"
#if USEZ80DART /* Include this code? */
/*
extern void writedart(unsigned int regi, unsigned int data);
extern unsigned int readdart(int regi);
*/
extern void zapbuffers(void);
extern void pollinput(void);
extern int checkdata(void);
extern int check_out(void);
extern void outtodev(unsigned char c);
extern unsigned char infromdev(void);
extern void initializedev(void);
extern char HARDDRV[];
/* For polled network stuffs, define IOPOLL to your polling routine */
/* as it will be sprinkled thruout the code. */
/* The main use is in heavy loops so no chars get dropped */
/* see useage example in all the other code. */
#define INITHARDWARE initializedev();
#define IOPOLL pollinput();
#define CHECKOUT check_out()
#define CHECKIN checkdata()
#define GETDATA infromdev()
#define PUTDATA(x) outtodev(x)

#endif /* USEZ80DART */
#endif /* Z80DART_H_SEEN */
